aboutsummaryrefslogtreecommitdiff
path: root/examples/gemm_tuner/benchmark_gemm_examples.sh
diff options
context:
space:
mode:
authorSiCong Li <sicong.li@arm.com>2020-07-28 12:24:45 +0100
committerSiCong Li <sicong.li@arm.com>2020-08-04 10:51:23 +0000
commitac4c03042d7a3020f87cea641e69aa38a684ddd7 (patch)
treedbc4288641e38ab36b0bd067c8f110d510e0756a /examples/gemm_tuner/benchmark_gemm_examples.sh
parentad411e077ef6662f1fa48542eacaa43552b12e65 (diff)
downloadComputeLibrary-ac4c03042d7a3020f87cea641e69aa38a684ddd7.tar.gz
COMPMID-3618 Add support for export_to_cl_image_rhs in GEMMTuner.py
* Add export_to_cl_image_rhs flag to reshaped and reshaped_only_rhs configs definitions * Exit with error when output directory is not correctly created * Add start and end timestamps to each output directory Signed-off-by: SiCong Li <sicong.li@arm.com> Change-Id: Ief5e8f454e7c6d97b18bbdace877db4e9ffc124c Reviewed-on: https://eu-gerrit-1.euhpc.arm.com/c/VisualCompute/ComputeLibrary/+/252934 Tested-by: bsgcomp <bsgcomp@arm.com> Reviewed-on: https://review.mlplatform.org/c/ml/ComputeLibrary/+/3651 Reviewed-by: Gian Marco Iodice <gianmarco.iodice@arm.com> Comments-Addressed: Arm Jenkins <bsgcomp@arm.com> Tested-by: Arm Jenkins <bsgcomp@arm.com>
Diffstat (limited to 'examples/gemm_tuner/benchmark_gemm_examples.sh')
-rwxr-xr-xexamples/gemm_tuner/benchmark_gemm_examples.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/examples/gemm_tuner/benchmark_gemm_examples.sh b/examples/gemm_tuner/benchmark_gemm_examples.sh
index 159b161c98..bb9ec0f3ab 100755
--- a/examples/gemm_tuner/benchmark_gemm_examples.sh
+++ b/examples/gemm_tuner/benchmark_gemm_examples.sh
@@ -482,7 +482,9 @@ arr_contains "${STRATEGY_OPTION}" "${ALL_STRATEGY_OPTIONS[@]}" ||
error_msg "Output directory ${OUT_DIR} already exists!"
# Make output directory
-mkdir ${OUT_DIR}
+echo "Making output directory ${OUT_DIR}" 1>&2
+mkdir -p ${OUT_DIR} || error_msg "Failed to make output directory ${OUT_DIR}"
+date +%s > ${OUT_DIR}/start_time_unix_seconds
# Run selected strategy with all configurations
# Restart the built-in timer
@@ -490,4 +492,6 @@ SECONDS=0
[ "${STRATEGY_OPTION}" == "native" ] && run $EXAMPLE_BIN_NATIVE
[ "${STRATEGY_OPTION}" == "reshaped_rhs_only" ] && run $EXAMPLE_BIN_RESHAPED_RHS_ONLY
[ "${STRATEGY_OPTION}" == "reshaped" ] && run $EXAMPLE_BIN_RESHAPED
+
+date +%s > ${OUT_DIR}/end_time_unix_seconds
# Main: Main script }}}